#ifndef BEZIERSIMPLOID_H_
#define BEZIERSIMPLOID_H_

#include "HyperIndex.h"
#include "../domain_and_range/DomainType.h"

class BezierSimploid
{

public:

	DomainType* domainType;
	int* multiDegree;



public:
	int get_num_Coefs(int rangeCoord);

	int get_linear_Index(HyperIndex* lambda,int rangeCoord);


	BezierSimploid();
	virtual ~BezierSimploid();
};

#endif /*BEZIERSIMPLOID_H_*/
